/**
 * ---------- ПРИМЕР ---------------- *
 *          ЦИКЛ FOR
 * ---------------------------------- *
 */

//Каждое новое выполнения тела цикла называется итерацией.
/*
цикл() {
    // ... тело цикла ...
}
*/
// Цикл for является одним из самых популярных видов. Выглядит это так:
/*
for (начало; условие; шаг) {
    // ... тело цикла ...
}
*/

// классический пример
// выведет 0, затем 1, затем 2, 3, 4
for (let i = 0; i < 5; i++) {
    console.log(i);
}

// объявим i заранее
// инкрементировать его будем в теле цикла
let i = 0;
for (; i < 5;) {
    console.log(i);
    i++;
}
